# Invoke-RASCertificateCmd.md

## NAME

Invoke-RASCertificateCmd

## SYNOPSIS

Sends RAS Certificate commands.

## SYNTAX

**Invoke-RASCertificateCmd** \[[Id](#id-string)] *(uint)* -[Command](#Command) {Retry | Renew | Revoke} \[-[RevokeReason](#RevokeReason) {Unspecified | KeyCompromise | Superseded | CessationOfOperation}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASCertificateCmd \[-[InputObject](#inputobject)] *(*[*Certificate*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md)*)* -[Command](#Command) {Retry | Renew | Revoke} \[-[RevokeReason](#RevokeReason) {Unspecified | KeyCompromise | Superseded | CessationOfOperation}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Invoke-RASCertificateCmd \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Command](#Command) {Retry | Renew | Revoke} \[-[RevokeReason](#RevokeReason) {Unspecified | KeyCompromise | Superseded | CessationOfOperation}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Sends certificate commands such as Renew, Retry and Revoke.

It will not fail unless Id is invalid or certificate is not Let's Encrypt.

## PARAMETERS

## Name (string)

The name of a Certificate from a site to invoke a command on.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to invoke a command onto a Certificate.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Certificate to invoke a command on.

To obtain the ID, use the Get-RASCertificate cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md))

The Certificate to invoke a command on.

To obtain a Certificate object representing a Certificate, use the Get-RASCertificate command."

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Command ([AcmeCommand](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/acmecommand.md))

Certificate command.

Accepted values: Renew, Retry, Revoke.

Possible values: Retry, Renew, Revoke

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## RevokeReason

([AcmeRevokeReason](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/acmerevokereason.md)) Acme revoke reason.

Possible values: Unspecified, KeyCompromise, Superseded, CessationOfOperation

```
        Required?                    false

        Position?                    named

        Default value                Unspecified

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Certificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/certificate.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASCertificateCmd -Id 1 -Command Revoke

Invoke the RAS Certificate to revoke the Let's Encrypt certificate with Id 1.\
\*\*---------- EXAMPLE 2 ----------

Invoke-RASCertificateCmd -Id 1 -Command Renew

Invoke the RAS Certificate to renew the Let's Encrypt certificate with Id 1.\
\*\*---------- EXAMPLE 3 ----------

Invoke-RASCertificateCmd -Id 1 -Command Retry

Invoke the RAS Certificate to retry the Let's Encrypt certificate with Id 1.

## RELATED LINKS

* [Get-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascertificate.md)
* [New-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rascertificate.md)
* [Set-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascertificate.md)
* [Remove-RASCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rascertificate.md)
* [Invoke-RASExportCertificate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasexportcertificate.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rascertificatecmd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
